{ theme, ... }:

{
  catppuccin.gtk = {
    enable = true;
    flavor = theme.flavor;
    icon.enable = true;
  };

  dconf.settings = {
    # Prefer dark mode for all GTK apps
    "org/gnome/desktop/interface".color-scheme = "prefer-dark";
  };

  gtk.enable = true;
}
